"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x1083f23e0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2480>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2520>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x1083f25c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2660>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2700>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x1083f27a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2840>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1083f28e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2980>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2a20>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2ac0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2b60>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2c00>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2ca0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2d40>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2de0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2e80>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2f20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x1083f2fc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3060>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3100>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x1083f31a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3240>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x1083f32e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3380>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3420>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x1083f34c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3560>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3600>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x1083f36a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3740>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f37e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3880>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3920>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x1083f39c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3a60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3b00>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3ba0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3c40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3ce0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3d80>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3e20>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3ec0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x1083f3f60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x108438040>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x1084380e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108438180>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x108438220>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x1084382c0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x108438360>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x108438400>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x1084384a0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x108438540>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x1084385e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x108438680>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x108438720>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x1084387c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x108438860>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x108438900>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x1084389a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x108438a40>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x108438ae0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x108438b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x108438c20>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x108438cc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x108438d60>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x108438e00>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x108438ea0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x108438f40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x108438fe0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x108439080>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x108439120>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x1084391c0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x108439260>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x108439300>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x1084393a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x108439440>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x1084394e0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x108439580>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x1084396c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x108439620>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x108439760>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x108439800>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x1084398a0>)]
name: str = 'fr_HOCCN'
